Skip to main content
GET
/
cabinet
/
admin
/
ban-system
/
agents
Get Agents
curl --request GET \
  --url https://api.example.com/cabinet/admin/ban-system/agents \
  --header 'Authorization: Bearer <token>'
{
  "agents": [],
  "summary": {
    "total_agents": 0,
    "online_agents": 0,
    "total_sent": 0,
    "total_dropped": 0,
    "avg_queue_size": 0,
    "healthy_count": 0,
    "warning_count": 0,
    "critical_count": 0
  },
  "total": 0,
  "online": 0
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

search
string | null
health
string | null

healthy, warning, critical

status
string | null

online, offline

Response

Successful Response

List of agents.

agents
BanAgentItem · object[]
summary
BanAgentsSummary · object

Agents summary statistics.

total
integer
default:0
online
integer
default:0